events {}

http {

	server {
		listen 80			default_server;
        error_log logs/error.log debug;
		return 301			https://$host$request_uri;
	}

	server {
		listen 443			ssl;
		server_name			www;

		root				/var/www/localhost/htdocs/;
		index				index.html;

		ssl_certificate		/etc/nginx/ssl/html.pem;
		ssl_certificate_key	/etc/nginx/ssl/html.key;
	}

}